Skip to main content
PUT
update a community.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

communityId
string
required
Required string length: 1 - 900

Body

application/json

community information.

communityId
string
required
Required string length: 1 - 900
displayName
string
Required string length: 1 - 1000
isPublic
boolean
isOfficial
boolean
onlyAdminCanPost
boolean
description
string
Maximum string length: 5000
tags
string[]
Required array length: 1 - 10 elements
Required string length: 1 - 100
metadata
object
avatarFileId
string
Required string length: 1 - 50
categoryIds
string[]
Required array length: 1 - 10 elements
Required string length: 1 - 50
isUniqueDisplayName
boolean
default:false
needApprovalOnPostCreation
boolean
default:false
allowCommentInStory
boolean
default:true
notificationMode
enum<string>

Notification Mode:

  • default - Auto register push notification.
  • silent - Do not send notification.
  • subscribe - Send notification to subscribed users only.
Available options:
default,
silent,
subscribe
isDiscoverable
boolean
default:false
  • If true, this private community will be discoverable in the query response.
  • If false, this private community will not appear in the list but can still be accessed via its ID.
requiresJoinApproval
boolean
default:false
  • If true, users will need to be approved by an admin before they can join the community.
  • If false, users can join the community without approval.

Response

Communities Information

communities
object[]
communityUsers
object[]
files
object[]
users
object[]
roles
object[]
categories
object[]
feeds
object[]